# Realtime RFP object

The Realtime Request For Payment (RFP) object represents the current state of a single Realtime RFP initiated by or received by Column. Realtime RFPs are used to initiate and receive debit requests called Request for Payments over FedNow or the RTP network. The Realtime RFP object exposes all relevant information about the Realtime RFP to developers. Read more about [Realtime RFP here](/realtime/request-for-payment).

### Object Parameters

- `accepted_at` `date-time` — The timestamp when the Realtime RFP was accepted
- `account_number_id` `string` — ID of the account number that is sending/receiving the RFP
- `amount` `number` — Amount (in cents) of the funds that will be transferred between originator and counterparty accounts. e.g. $1.75 would be represented by 175
- `bank_account_id` `string` — ID of the bank account that is sending/receiving the RFP
- `canceled_at` `date-time` — The timestamp at which the Realtime RFP was canceled
- `completed_at` `date-time` — The timestamp at which the Realtime RFP was completed
- `counterparty_id` `string` — ID of the counterparty that is receiving/sending the RFP
- `currency_code` `string` — The three-letter currency code defined in ISO 4217. e.g. `USD`
- `description` `string` — A description of the RFP visible in account statements
- `end_to_end_id` `string` — A unique identifier for the transfer that is passed through to the receiving bank. This is used for reconciliation purposes between originator and receiver.
- `expired_at` `date-time` — The timestamp when the Realtime RFP expired
- `id` `string` — The unique id of the RFP object
- `idempotency_key` `string` — The idempotency key specified in the Realtime RFP
- `initiated_at` `date-time` — The timestamp when the Realtime RFP was initiated
- `is_incoming` `boolean` — Indicates the Realtime RFP is incoming (`true`) or outgoing (`false`)
- `is_on_us` `boolean` — Indicates the Realtime RFP is between two bank accounts held at Column
- `presented_at` `date-time` — Time the RFP was presented
- `realtime_transfer_id` `string` — Realtime transfer object of a credit transfer that was sent/received to settle an accepted RFP
- `received_at` `date-time` — Time the RFP was received
- `rejected_at` `date-time` — The timestamp at which the Realtime transfer was rejected after acceptance without posting
- `rejection_additional_info` `string` — Contains further information on the rejection reason in free-formatted text, if available
- `rejection_code` `string` — Code representing a reason for Realtime payment rejection
- `rejection_code_description` `string` — Description for the `rejection_code`
- `status` `string` — The current status of the Realtime transfer. Possible statuses are `initiated`, `presented`, `received`, `accepted`, `completed`, `rejected`, `expired`, `canceled`

**Response 200**

```json
{
  "accepted_at": "2024-01-15T09:30:00Z",
  "account_number_id": "acno_2Q1ctiJm1NypVqCt8UBC8e4xTfH",
  "amount": 10000,
  "bank_account_id": "bacc_2Q1ctiJm1NypVqCt8UBC8e4xTfH",
  "canceled_at": "2024-01-15T09:30:00Z",
  "completed_at": "2024-01-15T09:30:00Z",
  "counterparty_id": "cpty_2Q1ctiJm1NypVqCt8UBC8e4xTfH",
  "currency_code": "USD",
  "description": "Example description",
  "end_to_end_id": "ento_2Q1ctiJm1NypVqCt8UBC8e4xTfH",
  "expired_at": "2024-01-15T09:30:00Z",
  "id": "rrfp_2Q1ctiJm1NypVqCt8UBC8e4xTfH",
  "idempotency_key": "2Q1ctiJm1NypVqCt8UBC8e4xTfH",
  "initiated_at": "2024-01-15T09:30:00Z",
  "is_incoming": false,
  "is_on_us": false,
  "presented_at": "2024-01-15T09:30:00Z",
  "realtime_transfer_id": "rttr_2Q1ctiJm1NypVqCt8UBC8e4xTfH",
  "received_at": "2024-01-15T09:30:00Z",
  "rejected_at": "2024-01-15T09:30:00Z",
  "rejection_additional_info": null,
  "rejection_code": null,
  "rejection_code_description": null,
  "status": "pending"
}
```
